R – ParseTree will not work with ruby 1.9. Why

ruby

As per this parsetree will not work in ruby 1.9 . I do not have computer science background but have been programming for a few years. Can someone explain in a little extra detail why parsetree will not work in ruby 1.9.

Best Solution

The ruby 1.8 interpreter constructed and then walked over an abstract syntax tree, whereas the ruby 1.9 interpreter is bytecode based. Therefore there is no AST available at runtime for parsetree to work with.

Related Question